- name: Configure Service Account to bring Openshift <-> GitLab communication
  k8s:
    definition:
      kind: ServiceAccount
      apiVersion: v1
      metadata:
        name: '{{ svc_account_ci_cd_variable }}'
        namespace: '{{ namespace }}'

- name: Give proper permissions to the Service Account
  shell: 'oc adm policy add-role-to-user edit -z {{ svc_account_ci_cd_variable }} -n {{ namespace }}'

- name: Get token of the existing Service Account
  shell: 'oc serviceaccounts get-token {{ svc_account_ci_cd_variable }} -n {{ namespace }}'
  register: 'svc_account_ci_cd_variable_token'